{
  "name": "daga-solana-nft",
  "version": "0.0.1",
  "description": "",
  "keywords": [],
  "author": "",
  "license": "MIT",
  "scripts": {
    "start": "ts-node src/client/main.ts",
    "start-with-test-validator": "start-server-and-test 'solana-test-validator --reset --quiet' http://localhost:8899/health start",
    "lint": "eslint --ext .ts src/client/* && prettier --check \"src/client/**/*.ts\"",
    "lint:fix": "eslint --ext .ts src/client/* --fix && prettier --write \"src/client/**/*.ts\"",
    "clean": "npm run clean:daga-nft",
    "build:daga-nft": "cargo build-bpf --manifest-path=./src/daga-nft/Cargo.toml --bpf-out-dir=dist/program",
    "clean:daga-nft": "cargo clean --manifest-path=./src/daga-nft/Cargo.toml && rm -rf ./dist",
    "test:daga-nft": "cargo test-bpf --manifest-path=./src/daga-nft/Cargo.toml",
    "pretty": "prettier --write '{,src/**/}*.ts'",
    "bnd": "npm run build:daga-nft && solana program deploy dist/program/solana_nft.so && solana logs"
  },
  "dependencies": {
    "@solana/web3.js": "^1.7.0",
    "borsh": "^0.6.0",
    "buffer-layout": "^1.2.2",
    "mz": "^2.7.0",
    "object-sizeof": "^1.6.1",
    "yaml": "^1.10.2"
  },
  "devDependencies": {
    "@tsconfig/recommended": "^1.0.1",
    "@types/eslint": "^7.2.4",
    "@types/eslint-plugin-prettier": "^3.1.0",
    "@types/mz": "^2.7.2",
    "@types/prettier": "^2.1.5",
    "@types/yaml": "^1.9.7",
    "@typescript-eslint/eslint-plugin": "^4.6.0",
    "@typescript-eslint/parser": "^4.6.0",
    "eslint": "^7.12.1",
    "eslint-config-prettier": "^6.15.0",
    "eslint-plugin-prettier": "^4.0.0",
    "prettier": "^2.1.2",
    "start-server-and-test": "^1.11.6",
    "ts-node": "^10.0.0",
    "typescript": "^4.0.5"
  },
  "engines": {
    "node": ">=14.0.0"
  }
}
